Add application identity scope

Grants an identity access to another store. Requires scope: secret-store.write.

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

identity_idstringRequired
Secret Store application identity ID.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Request

This endpoint expects an object.
store_idstringRequired
access_modeenumOptionalDefaults to read_only
allow_version_readbooleanOptionalDefaults to true
allow_rollbackbooleanOptionalDefaults to false
allow_destroybooleanOptionalDefaults to false

Response

Scope created successfully.
idstring
identity_idstring
scope_typestring
store_idstring
organization_idstring
workspace_idstring
access_modeenum
allow_version_readboolean
allow_rollbackboolean
allow_destroyboolean
created_atdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error